Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::ScopedMutex Class Reference

Scoped mutex device. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions
| ScopedMutex (Mutex *mutex)
| Constructor.
| ~ScopedMutex ()
| Destructor.

## Detailed Description

Scoped mutex device.

## Constructor & Destructor Documentation

kyotocabinet::ScopedMutex::ScopedMutex | ( | Mutex * | mutex | ) | `[explicit]`

Constructor.

Parameters:

  mutex | a mutex to lock the block.

kyotocabinet::ScopedMutex::~ScopedMutex | ( |  | ) |

Destructor.